// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj.shuffleboard.BuiltInLayouts;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardLayout;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Drive;

public class AvancerGauche extends CommandBase {
  private Drive drive;
  ShuffleboardTab dashboard = Shuffleboard.getTab("Dashboard");
  ShuffleboardLayout reculer = Shuffleboard.getTab("Dashboard")
  .getLayout("Reculer", BuiltInLayouts.kList)
  .withSize(1, 4)
   .withPosition(6,0);
  /** Creates a new Reculer. */
  public AvancerGauche(Drive drive) {
   // reculer.add("vitesse x", 1);
    //reculer.add("vitesse y", 2);
    //reculer.add("vitesse z", 3);
    //reculer.add("distance", 4);
    this.drive = drive;
    addRequirements(drive);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    drive.drive(0.5, 0.2, 0); 
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return drive.distance()[0].distanceMeters>1;
  }
}
