// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Accumulateur;

public class AccAuto extends CommandBase {
  private Accumulateur accumulateur;
  /** Creates a new AccAuto. */
  public AccAuto(Accumulateur accumulateur) {
    this.accumulateur = accumulateur;
    addRequirements(accumulateur);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    accumulateur.reaccumuler();
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    accumulateur.stop();
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
